<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.InnerAccountSidMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="innerAccountSidResultMap" type="org.springblade.finance.entity.InnerAccountSid">
        <id column="THEMONTH" property="themonth"/>
        <result column="SID" property="sid"/>
        <result column="DEAL_TYPE" property="dealType"/>
        <result column="COMPANY" property="company"/>
        <result column="ALLOW_PUSH" property="allowPush"/>
    </resultMap>


    <select id="selectInnerAccountSidPage" resultMap="innerAccountSidResultMap">
        select * from INNER_ACCOUNT_SID where is_deleted = 0
    </select>

</mapper>
